View Issue Details

IDProjectCategoryView StatusLast Update
0001305SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.4.7 
Target Version3.4.8Fixed in Version3.4.8 
Summary0001305: Possible lock up during extraction. If the max number of locks are reached on a batch the extract method can hang forever
DescriptionPossible lock up during extraction. If the max number of locks are reached on a batch the extract method can hang forever. This is because the acquire and the release of the Semaphore are in synchronized blocks of code and if the max number of locks are acquired it will wait until a lock has been released which will never happen because it can't get into the synchronized block to release it.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master d9aaf3f5

2013-07-01 16:35:31

chenson

Details Diff
0001305: Possible lock up during extraction. If the max number of locks are reached on a batch the extract method can hang forever
0001305
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

SymmetricDS: master 9c565898

2013-07-01 16:37:25

chenson

Details Diff
0001305: Possible lock up during extraction. If the max number of locks are reached on a batch the extract method can hang forever
0001305
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

Issue History

Date Modified Username Field Change
2013-07-01 15:38 chenson New Issue
2013-07-01 15:38 chenson Status new => assigned
2013-07-01 15:38 chenson Assigned To => chenson
2013-07-01 16:35 chenson Status assigned => resolved
2013-07-01 16:35 chenson Fixed in Version => 3.4.8
2013-07-01 16:35 chenson Resolution open => fixed
2013-07-03 08:02 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS 3.4 r7465
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7468
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7469
2014-02-02 20:53 Changeset attached => SymmetricDS 3.4 r7470
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 9c565898
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master d9aaf3f5